|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# The IDC Tool

The IDC tool is part of the ActiveQt build system and makes it possible to turn any Qt binary into a full COM object server with only a few lines of code.

IDC understands the following command line parameters:

Option | Result
--- | ---
dll -idl idl -version x.y | Writes the IDL of the server dll to the file idl. The type library wll have version x.y.
dll -tlb tlb | Replaces the type library in dll with tlb
-v | Print version information
-regserver dll | Register the COM server dll
-unregserver | Unregister the COM server dll

It is usually never necessary to invoke IDC manually, as the `qmake` build system takes care of adding the required post processing steps to the build process. See the ActiveQt build system documentation for details.